Bug 524525 - Missing DHCP server installation procedure
Summary: Missing DHCP server installation procedure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Douglas Silas
QA Contact: Joshua Wulf
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 04:28 UTC by Tom WELLS
Modified: 2014-10-19 22:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 22:20:46 UTC


Attachments (Terms of Use)

Description Tom WELLS 2009-09-21 04:28:06 UTC
Description of problem:
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.4/html/Deployment_Guide/ch-dhcp.html

A step is missing in Chapter 21. Between 21.1 and 21.2 there are no instructions for installing the packages needed for DHCP server.

Version-Release number of selected component (if applicable):
5.4

How reproducible:
100%

Steps to Reproduce:
1.Install Red Hat Enterprise Linux 5.4
2.Attempt to follow procedure in 21.2
3.Observe that file /usr/share/doc/dhcp-<version>/dhcpd.conf.sample. does not exist
  
Actual results:
Unable to perform configuration

Expected results:
A procedure with instructions for verifying the necessary packages for a DHCP server are installed. If the packages are not installed, instructions for installing them.

Additional info:

Comment 1 Douglas Silas 2009-09-30 20:09:04 UTC
Tom is correct: the package is not installed, installation instructions are missing, and so too, therefore, are the config files. I have changed the text at the top of 21.2. Configuring a DHCP Server in 5.4 to read:

[SNIP]
The dhcp package contains an ISC DHCP server. First, install the package as the superuser:

~]# yum install dhcp

Installing the dhcp package creates a file, /etc/dhcpd.conf, which is merely an empty configuration file:

~]# cat /etc/dhcpd.conf
#
# DHCP Server Configuration file.
#   see /usr/share/doc/dhcp*/dhcpd.conf.sample

The sample configuration file can be found at /usr/share/doc/dhcp-<version>/dhcpd.conf.sample. You should use this file to help you configure /etc/dhcpd.conf, which is explained in more detail below.
[/SNIP]

Tom, does this documentation fix accord with you?

Comment 3 Andrew Ross 2009-11-25 22:20:46 UTC
Verified.

Closing.


Note You need to log in before you can comment on or make changes to this bug.